@font-face {
    font-family: 'AveriaSerifLibre-regular';
    src: url(../fonts/Averia_Serif_Libre/AveriaSerifLibre-Regular.ttf);
}

@font-face {
    font-family: 'BerkshireSwash';
    src: url(../fonts/Berkshire_Swash/BerkshireSwash-Regular.ttf);
}

@font-face {
    font-family: 'HarryPotter';
    src: url(../fonts/HARRYP__.TTF);
}

@font-face {
    font-family: 'LordOfTheRings';
    src: url(../fonts/RINGM___.TTF);
}

:root {
    --color-dark-background: rgb(51, 51, 51);
    --color-dark-background-80: rgba(51, 51, 51, 0.8);
    --color-darker-background: #232323;

    --color-gold-glow: rgba(255, 217, 0, 0.225);
    --color-footer-bkgd: rgba(0, 0, 0, 0.25);

    /* font colors */
    --color-white: #fff;
    --color-white-75: rgba(255, 255, 255, 0.75);
    --color-white-50: rgba(255, 255, 255, 0.5);
    --color-white-25: rgba(255, 255, 255, 0.25);

    /* coloring for the txt-blend, this is for the loc and project text */
    --paper-back-color-shadow: #a38758;
    --paper-background-color: #4e3d23;
    --paper-txt-shadow-color: #8e7751;
    --paper-transparant-color: transparent;

    /* hover colors */
    /* --paper-background-color-hover: #503d29;
    --paper-txt-shadow-color-hover: #83714e;
    --paper-transparant-color-hover: #6e5e3fa0; */

    --paper-background-color-hover: #211400;
    --paper-txt-shadow-color-hover: #98896c;
    --paper-transparant-color-hover: #50412540;


    /* gallery image widht */
    --gallery-pic-width: 20vw;
}



/* 
    colors and fonts of text
*/

/* berkshire swash text white*/

.txt__big-w,
.txt__big-75,
.txt__big-50,
.txt__big-25,
.txt__big-blend {
    color: var(--color-white);
    font-family: 'BerkshireSwash';
    font-weight: lighter;
    font-size: 30px;
}

.txt__big-75 {
    color: var(--color-white-75);
}

.txt__big-50 {
    color: var(--color-white-50);
}

.txt__big-25 {
    color: var(--color-white-25);
}

.txt__mid-w,
.txt__mid-75,
.txt__mid-50,
.txt__mid-25,
.txt__mid-blend {
    color: var(--color-white);
    font-family: 'BerkshireSwash';
    font-size: 22px;
}

.txt__mid-75 {
    color: var(--color-white-75);
}

.txt__mid-50 {
    color: var(--color-white-50);
}

.txt__mid-25 {
    color: var(--color-white-25);
}

.txt__small-w,
.txt__small-75,
.txt__small-50,
.txt__small-25,
.txt__small-blend,
.txt__small-blend-bold,
.txt__small-blend-i,
.txt__small-blend-HP,
.txt__small-blend-LOTR,
.induv-loc__text-div ul li {
    color: var(--color-white);
    font-family: 'AveriaSerifLibre-regular';
    font-size: 17px;
    line-height: 1.3;
}

.txt__small-blend-i {
    font-style: italic;
}



.txt__small-75 {
    color: var(--color-white-75);
}

.txt__small-50 {
    color: var(--color-white-50);
}

.txt__small-25 {
    color: var(--color-white-25);
}

.txt__small-berk-w,
.txt__small-berk-75,
.txt__small-berk-50,
.txt__small-berk-25,
.txt__small-berk-blend {
    color: var(--color-white);
    font-family: 'BerkshireSwash';
    font-size: 17px;
}

.txt__small-berk-75 {
    color: var(--color-white-75);
}

.txt__small-berk-50 {
    color: var(--color-white-50);
}

.txt__small-berk-25 {
    color: var(--color-white-25);
}

/* hover effects */
.hvr-75:hover {
    color: var(--color-white);
}

.hvr-50:hover {
    color: var(--color-white-75);
}

.hvr-25:hover {
    color: var(--color-white-50);
}

.txt__big-blend,
.txt__mid-blend,
.txt__small-blend,
.txt__small-blend-bold,
.txt__small-blend-HP,
.txt__small-blend-LOTR,
.txt__small-berk-blend,
.induv-loc__text-div ul li {
    background-color: var(--paper-background-color);
    color: var(--paper-transparant-color);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color);
    background-clip: text;
}

.induv-loc__text-div ul li {
    margin-left: 50px;
    list-style: decimal-leading-zero;
}

.induv-loc__text-div ul li::marker {
    background-color: var(--paper-background-color);
    /* color: #56370a; */
    color: var(--paper-background-color-hover);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color);
    background-clip: text;
}

.induv-loc__text-div p {
    background-color: var(--paper-background-color);
    color: var(--paper-transparant-color);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color);
    background-clip: text;
    font-family: 'AveriaSerifLibre-regular';
    font-size: 17px;
    line-height: 1.3;
}

.induv-loc__text-div p a,
.induv-loc__text-div li a {
    /* text-decoration:underline; */
    color: inherit;
    font-family: inherit;
    text-decoration: underline var(--paper-background-color);
}

.induv-loc__text-div p a:hover,
.induv-loc__text-div li a:hover {
    color: var(--paper-background-color-hover);
    text-decoration: underline var(--paper-background-color-hover);

}

.txt__small-blend-HP {
    font-family: 'HarryPotter';
    font-size: 20px;
}

.txt__small-blend-LOTR {
    font-family: 'LordOfTheRings';
    font-size: 16px;
}

.txt__big-blend-center {
    display: flex;
    justify-content: center;
}

.txt__big-blend-center a{
    color: inherit;
    font-family: inherit;
    text-decoration: underline var(--paper-background-color);
}

.txt__big-blend-center a:hover{
    color: var(--paper-background-color-hover);
    text-decoration: underline var(--paper-background-color-hover);
}

.txt__small-blend-bold {
    /* background-color: var(--paper-background-color);
    color: var(--paper-background-color-hover);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color);
    background-clip: text;
    font-family: 'AveriaSerifLibre-regular';
    font-size: 17px;
    line-height: 1.3; */

    filter: brightness(0.65);

}




* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;

    scroll-behavior: smooth;
    font-family: BerkshireSwash;
    font-weight: lighter;
}

/* the green forest background */
.bkgd__green {
    background-color: black;
    background-image: url(../pictures/forestBackground.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}


.bkgd__book,
.bkgd__book-main {
    background-color: black;
    background-image: url(../pictures/book-background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.bkgd__book {
    background-attachment: fixed;

}

/* 
    


Header styling



*/
.header {
    position: sticky;
    z-index: 10;
    top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 50px;
    padding: 15px;
    background-color: var(--color-dark-background-80);
    backdrop-filter: blur(5px);
    border-radius: 10px;
}

.header__border-glow {
    box-shadow: 0px 0px 25px 1px var(--color-gold-glow);
}

.header__li {
    list-style: none;
    display: inline;
    padding: 20px;
}

.header__a {
    text-decoration: none;
    text-align: center;
}

.header__a:hover {
    color: var(--color-white);
}

.header__selected {
    color: var(--color-white-75);
}

.mobile-header {
    display: none;
}

/* phone styling */

@media (max-width: 480px) {

    .header nav ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .header__li {
        padding: 5px 0px;
    }

    .header {
        padding: 10px;
        display: none;
    }

    .header svg {
        padding: unset;
        display: none;
    }






    .mobile-header {
        display: flex;
        flex-direction: column;
        margin: 15px;
        position: fixed;
        z-index: 10;

    }

    .mobile-header__input {
        display: none;
    }

    .mobile-header__label {
        padding: 10px;
        width: fit-content;
        height: fit-content;
        background-color: var(--color-dark-background-80);
        backdrop-filter: blur(5px);
        border-radius: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        box-shadow: 0px 0px 10px rgba(255, 217, 0, 0.078),
            0px 0px 20px rgba(255, 217, 0, 0.078),
            0px 0px 30px rgba(255, 217, 0, 0.078);
        transform: scale(80%);
    }

    .mobile-header__content {
        position: sticky;
        padding: 10px;
        z-index: 10;
        display: none;
        margin: 0px 8px;
        background-color: var(--color-dark-background-80);

        backdrop-filter: blur(5px);
        border-radius: 10px;

    }

    .mobile-header__input:checked~.mobile-header__content {
        display: unset;
    }

    .mobile-header__content ul {
        display: flex;
        flex-direction: column;
    }
}





















/* 
    


Footer styling



*/
.footer {
    position: relative;
    background-color: var(--color-footer-bkgd);
    backdrop-filter: blur(2px);
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0px;
    padding: 0px 50px;
    padding-top: 25px;
}

.footer li {
    list-style: none;
}

.footer a {
    text-decoration: none;
}

.footer img {
    width: 75px;
}

.footer__line {
    text-align: center;
    min-height: 16px;
}

.footer__section {
    margin: 0px 50px;
    padding: 20px 0px;
    display: flex;
    justify-content: space-between;
}



.footer__navigation {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.footer__navigation-div {
    display: flex;
}

.footer__navigation-div-ul {
    padding-right: 25px;
}


.footer__secrets {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding-bottom: 10px;
}

.footer__secrets-img-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 20px 0px;
}

.footer__secrets-draggable {
    cursor: grab;
}

.footer__find-more-spacing {
    padding-bottom: 15px;
}

.footer__find-more nav {
    display: flex;
    justify-content: end;
    text-align: end;
}

/* mobile footer */

@media (max-width: 480px) {
    .footer__section {
        margin: 0px 0px;
        /* padding: 20px 0px; */
        display: flex;
        flex-direction: column;
    }

    .footer__navigation-div {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .footer__find-more {
        margin-top: 10px;
    }

    .footer__find-more-spacing {
        padding-bottom: unset;
    }

    .footer__find-more nav {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        justify-content: start;
        text-align: start;
    }

    /* changes order of footer  */

    .footer__secrets:nth-child(2) {
        order: 3;
        /* Second item moved to last */
    }

    .footer__secrets {
        padding-top: 60px;
        padding-bottom: 10px;
    }

}













/* 

home page styling 


*/
.home__landing {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.home__landing-intro-txt {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    margin-top: 55px;
}

.home__landing-small-txt {
    margin-bottom: -25px;
}

.home__landing-big-txt {
    font-size: 12vw;
    margin: 0;
    color: var(--color-white);
    text-shadow:
        0px 0px 10px var(--color-gold-glow),
        0px 0px 20px var(--color-gold-glow),
        0px 0px 30px var(--color-gold-glow);
}

/* discover page button animation */

.home__discover-btn {
    border: solid transparent;
    background-color: var(--color-dark-background);
    border-radius: 10px;
    padding: 10px 20px;

    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
}

.home__discover-btn-h2 {
    padding: 0px 10px;
}



/* got the button animation form a youtube vid (https://www.youtube.com/watch?v=ezP4kbOvs_E) */
@property --angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}

@keyframes spin {
    from {
        --angle: 0deg;
    }

    to {
        --angle: 360deg;
    }
}

.btn-glow {
    position: relative;
}

.btn-glow:hover::after,
.btn-glow:hover::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background-image: conic-gradient(from var(--angle), transparent 1%, rgb(255, 217, 0));
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    z-index: -1;

    /* the padding is the fake border */
    padding: 1px;
    border-radius: 10px;
    animation: 8s spin linear infinite;
}

.btn-glow:hover::before {
    filter: blur(1rem);
    opacity: 0.5;
}

.home__landing-arrow {
    padding: 20px 0px;


}

/* gives a slight interaction to the arrow */
.home__landing-arrow:hover path {
    stroke-opacity: 1;
}

/* home langing mobile */
@media (max-width: 480px) {
    .home__landing-intro-txt {
        margin-top: 10vh;
    }

    .home__landing-big-txt {
        font-size: 17vw;
    }

    .home__landing-small-txt {
        margin-bottom: unset;

    }

    .home__discover-btn {
        margin-top: 10vh;
    }
}


/* about me on the home page styling */

.home__aboutme {
    margin: 20px 0px;
    margin-bottom: 0px;
    padding: 50px 50px;
    background-color: var(--color-dark-background-80);
}

.home__aboutme-main {
    padding: 10px 50px;
}

.home__aboutme-top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.home__aboutme-top-txt {
    width: 60%;
}

.home__aboutme-top-txt-space {
    padding: 15px 0px;
    text-shadow:
        0px 0px 10px var(--color-gold-glow),
        0px 0px 20px var(--color-gold-glow),
        0px 0px 30px var(--color-gold-glow);
}

.home__aboutme-top-img {
    background-color: var(--color-darker-background);
    width: fit-content;
    height: fit-content;
}

.home__aboutme-top-img img {
    width: 225px;
}

.home__aboutme-p {
    text-decoration: none;
    color: var(--color-white);
}

.home__aboutme-p:hover {
    color: var(--color-white-50);
}

/* home - about me - previous project styling */

.home__aboutme-projects {
    display: flex;
    flex-direction: column;
    padding-top: 25px;
}

.home__aboutme-projects-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 15px 0px;
}

.home__aboutme-projects-content a {
    text-decoration: none;
    color: inherit;
}

.home__aboutme-projects-link {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.home__aboutme-projects-link-space {
    padding: 10px 0px;
}

.home__aboutme-projects-img {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-darker-background);
    width: fit-content;
    height: fit-content;
    border-radius: 10px;
    padding: 10px;
    overflow: hidden;
}

.home__aboutme-projects-img img {
    width: 40vw;
    filter: brightness(85%) blur(1px);
    transition: transform 0.3s ease, width 0.3s ease, height 0.3s ease;
}

.home__aboutme-projects-img img:hover {
    filter: brightness(100%) blur(0px);
}

/* about me mobile */
@media (max-width: 480px) {
    .home__aboutme-top-txt-space {
        text-align: center;
    }

    .home__aboutme-main {
        padding: 10px 0px;
    }

    .home__aboutme-top {
        flex-direction: column;
        align-items: center;
    }

    .home__aboutme-top-img {
        margin-top: 10px;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .home__aboutme-projects-content {
        flex-direction: column;
        justify-content: unset;
    }

    .home__aboutme-projects-img img {
        width: 100%;
    }

    .home__aboutme-top-txt {
        width: 100%;
    }
}

















/* 
    secret page styling 
*/

.secret__txt {
    padding: 20px 0px;
}

.secret__main {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.secret__grid-container {
    display: grid;
    grid-template-columns: auto auto auto auto;
    /* padding: 10px; */
    place-items: center;
}

.secret__grid-item {
    height: 300px;
    margin: 10px 10px;
}

@media (max-width: 480px) {
    .secret__grid-container {
        display: grid;
        grid-template-columns: auto;
        /* padding: 10px; */
        place-items: center;
    }

    .secret__txt {
        text-align: center;
        padding: 70px 0px;
        padding-bottom: 20px;
    }
}





/* 

discover page

*/
.discover__main {
    height: 100vh;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
}

.discover__main-h2 {
    text-align: center;
    padding: 20px 0px;
    width: 60%;
}

.discover__content-section {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;

}

.discover__content-section h2 {
    margin-bottom: 5px;
}

.discover__loc-portal-div-txt {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px;
}

.discover__loc-portal-txt-spacing {
    margin-top: -8px;
}

.discover__loc-portal-div {
    padding: 15px 75px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.discover__project-portal-div {
    padding: 15px 75px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.discover__loc-door {
    position: absolute;
    right: 224px;
    top: 227px;
    z-index: 1;
    cursor: pointer;
}

.discover__loc-door:hover {
    filter: brightness(0) blur(0.5rem) grayscale(100%);
    transition: filter 0.3s ease;
}


.discover__project-door {
    position: absolute;
    right: 218px;
    top: 194px;
    z-index: 1;
    cursor: pointer;
}

.discover__project-door:hover {
    filter: brightness(0) blur(0.5rem) grayscale(100%);
    transition: filter 0.3s ease;
}

.discover__zoom {
    transform: scale(20);
    filter: brightness(0) blur(0.5rem) grayscale(100%);
    z-index: 2;
}

@media (max-width: 480px) {
    .discover__main-h2 {
        text-align: center;
        padding: 20px 0px;
        padding-top: 70px;
        width: 90vw;
    }

    .discover__main {
        height: unset;
    }

    .discover__loc-portal-div {
        padding: 15px 0px;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .discover__loc-door {
        position: absolute;
        right: 141px;
        top: 214px;
        z-index: 1;
        cursor: pointer;
    }

    .discover__project-portal-div {
        padding: 15px 0px;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .discover__project-door {
        position: absolute;
        right: 130px;
        top: 170px;
        z-index: 1;
        cursor: pointer;
    }

    .discover__full-img {
        width: 100%;
    }
}




/* 

    main learning outcome and main project styling

    the learning outcome page and the project page are inbetween pages so i will be calling the classes
    inbetween 
    becuase they applie to both pages 

*/
.inbetween__main {
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

.inbetween__main-txt-space {
    padding-top: 20px;
    padding-bottom: 10px;
}

.inbetween__section {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 80px;
}

.inbetween__content-div {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding-bottom: 50px;
}

.inbetween__content-div-bottom {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    /* padding-bottom: 50px; */
}

.inbetween__content-div img,
.inbetween__content-div-bottom img {
    width: 20vw;
    padding-bottom: 15px;
}

.main-loc__scroll,
.project__book {
    padding: 0px 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    /* width: 20vw; */
    /*make sure to keep the same as the img*/
}

.project__book {
    padding: 0px 10px;
    margin-bottom: 100px;
}

.main-loc__scroll a {
    text-decoration: none;
}

.project__book a {
    text-decoration: none;
}

.manuscript-glow {
    transition: filter 0.3s ease-in-out;
}

.manuscript-glow:hover {
    /* box-shadow: 0 0 20px var(--color-gold-glow); */
    filter: drop-shadow(0 0 20px var(--color-gold-glow));
    transform: scale(1.05);
}

/* project x portal styling */

.projectx__portal-div {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.projectx__img-container {
    display: flex;
    flex-direction: row;
    align-items: center;

}

.projectx__img-container img {
    width: 75px;
}

.projectx__secrets-draggable {
    cursor: grab;
}

.projectx__main {
    height: 100vh;
}












@media (max-width: 480px) {

    .inbetween__main {
        display: flex;
        align-items: center;
        flex-direction: column;
        height: unset;
    }

    .inbetween__main-txt-space {
        padding-top: 70px;
        padding-bottom: 10px;
    }

    .inbetween__main svg {
        width: 100%;
    }



    .inbetween__content-div-bottom {
        display: flex;
        align-items: center;
        justify-content: center;
        padding-bottom: 0px;
        flex-direction: column;
    }

    .inbetween__content-div {
        display: flex;
        justify-content: center;
        padding-bottom: 0px;
        flex-direction: column;
        align-items: center;
    }

    .inbetween__content-div img,
    .inbetween__content-div-bottom img {
        width: 60vw;
        padding-bottom: 15px;
    }

    .main-loc__scroll,
    .project__book {
        padding: 0px 40px;
        padding-bottom: 75px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        /* width: 20vw; */
    }
}


/* 

    induvidual learning outcome styling

*/

.induv-loc__main {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.induv-loc__top-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.induv-loc__top-div-spacing {
    padding-top: 20px;
    padding-bottom: 10px;
}

.induv-loc__content {
    position: relative;

    background-color: black;
    background-image: url(../pictures/paper1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    display: flex;
    flex-direction: column;
    margin: 20px 100px;
    padding: 50px 100px;
    padding-bottom: 75px;

    border-radius: 3px;
    box-shadow: 0 0 3px 3px var(--paper-back-color-shadow);
}

.induv-loc__navigation {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.induv-loc__navigation-bottom {
    padding-top: 15px;
}

.induv-loc__navigation a {
    text-decoration: none;
}

.induv-loc__navigation-selected {
    background-color: var(--paper-background-color-hover);
    color: var(--paper-transparant-color-hover);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color-hover);
    background-clip: text;
}

.induv-loc__navigation a:hover {
    transform: scale(1.02);
    background-color: var(--paper-background-color-hover);
    color: var(--paper-transparant-color-hover);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color-hover);
    background-clip: text;
}

.induv-loc__navigation-svg {
    padding: 0px 10px;
}

.induv-loc__text {
    width: 50vw;
}

.induv-loc__text-title {
    padding: 5px 0px;
    padding-top: 25px;
}

.induv-loc__text-div {
    padding: 15px 0px;
}

/* .induv-loc__text-div p {
    background-color: var(--paper-background-color);
    color: var(--paper-transparant-color);
    text-shadow: 0px 2px 3px var(--paper-txt-shadow-color);
    background-clip: text;
    font-family: 'AveriaSerifLibre-regular';
    font-size: 17px;
    line-height: 1.3;
}

.induv-loc__text-div p a,
.induv-loc__text-div li a {
    /* text-decoration:underline; */
/* color: inherit;
    font-family: inherit;
    text-decoration: underline var(--paper-background-color);
} */

/* .induv-loc__text-div p a:hover,
.induv-loc__text-div li a:hover {
    color: var(--paper-background-color-hover);
    text-decoration: underline var(--paper-background-color-hover);

} */



.induv-loc__arrow {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 20px;
}

.induv-loc__arrow:hover path {
    stroke-opacity: 1;
}

/* induv loc picture styling */

.induv-loc__single-img {
    width: 20vw;
    filter: brightness(0.8) blur(3px) opacity(0.65);
    margin: 15px 0px;
}

.induv-loc__single-img-vertical {
    filter: brightness(0.8) blur(3px) opacity(0.65);
    height: 20vh;
    margin: 15px 0px;
}

.induv-loc__single-img:hover,
.induv-loc__single-img-vertical:hover {
    filter: brightness(100%) blur(0) opacity(100%);
    cursor: pointer;

}

.induv-loc__single-img-clicked {
    width: 50vw;
    /* filter: brightness(0.8) blur(3px) opacity(0.65); */
    filter: brightness(100%) blur(0) opacity(100%);

}

.induv-loc__single-img-clicked:hover {
    /* width: 50vw; */
    filter: brightness(100%) blur(0) opacity(100%);
}

.induv-loc__single-img-vertical-clicked {
    filter: brightness(100%) blur(0) opacity(100%);
    height: 50vh;
}

.induv-loc__single-img-vertical-clicked:hover {
    filter: brightness(100%) blur(0) opacity(100%);
}




@media (max-width: 480px) {
    .induv-loc__content {
        position: relative;
        background-color: black;
        background-image: url(../pictures/paper1.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        display: flex;
        flex-direction: column;
        margin: 20px 30px;
        padding: 10px 10px;
        padding-bottom: 150px;
        border-radius: 3px;
        box-shadow: 0 0 3px 3px var(--paper-back-color-shadow);
    }

    .induv-loc__text {
        width: 100%;
    }

    .induv-loc__top-div-spacing {
        padding-top: 70px;
        padding-bottom: 10px;
    }

    .induv-loc__top-div svg {
        width: 100%;
    }
}

/* 

    induv project styling


*/

.induv-projects__container {
    margin-top: 50px;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.induv-projects__arrow {
    transition: transform 0.5s;
}

.induv-projects__arrow:hover path {
    stroke-opacity: 1;
}

.induv-projects__book {
    position: relative;
    width: 35vw;
    height: 80vh;
    transition: transform 0.5s;
}

.induv-projects__book-paper {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    perspective: 1500px;
}

.induv-projects__book-paper p {
    overflow: hidden;
    /* ^ hiddes over flowing text but then you cant see half the text when you resize */
}


.induv-projects__book-paper p a {
    color: inherit;
    font-family: inherit;
    text-decoration: underline var(--paper-background-color);
}

.induv-projects__book-paper p a:hover {
    color: var(--paper-background-color-hover);
    text-decoration: underline var(--paper-background-color-hover);

}



.induv-projects__book-front,
.induv-projects__book-back {
    background-image: url(../pictures/paper1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;

    transform-origin: left;
    transition: transform 0.5s;
}

.induv-projects__book-front {
    z-index: 1;
    backface-visibility: hidden;
    border-left: 5px solid transparent;
}

.induv-projects__book-back {
    z-index: 0;
}

.induv-projects__book-front-content,
.induv-projects__book-back-content {
    /* width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center; */

    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 35px;
    padding-left: 60px;
    padding-top: 40px;
}

.induv-projects__book-back-content {
    transform: rotateY(180deg);
}

/* paper flip effect */
.paper-flipped .induv-projects__book-front,
.paper-flipped .induv-projects__book-back {
    transform: rotateY(-180deg);
}

/* Controller Buttons */
button {
    border: none;
    background-color: transparent;
    cursor: pointer;
    margin: 10px;
    transition: transform 0.5s;
}

/* paper stack order */
#p1 {
    z-index: 3;
}

#p2 {
    z-index: 2;
}

#p3 {
    z-index: 1;
}


/* 

    gallery styling , gallery for showing pictures 

*/

.galleryNew,
.galleryNew-v {
    position: relative;
    width: 50%;
    height: fit-content;
    overflow: hidden;
    transition: all 0.3s ease;
    cursor: pointer;
}

.galleryNew:focus-within {
    width: 50vw;
    /*Enlarged size on click*/
    /* height: 400px; */
    /* max-height: 80vh; */
}

.galleryNew-v:focus-within {
    width: unset;
    height: 80vh;
    /* Enlarged size on click */
    /* height: 400px; */
}

.galleryNew__viewport {
    display: flex;
    transition: transform 0.3s ease;
    width: 100%;
    height: 100%;
}

.galleryNew__image {
    flex: 0 0 100%;
    /* Only one image visible at a time */
    object-fit: contain;
    /* Handles images of different sizes */
    width: 100%;
    height: 100%;
}

.galleryNew__blur {
    filter: brightness(0.8) blur(3px) opacity(0.65);
}

.galleryNew__arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgb(0 0 0 / 23%);
    border-radius: 5px;
    border: none;
    color: #b1aba6;
    font-size: 18px;
    cursor: pointer;
    padding: 1px 4px;
    z-index: 4;
    opacity: 0.7;
    transition: opacity 0.2s ease;
    text-shadow:
        0px 0px 5px rgb(255 217 0 / 50%),
        0px 0px 10px rgb(255 217 0 / 50%),
        0px 0px 15px rgb(255 217 0 / 50%);
}

.galleryNew__arrow:hover {
    opacity: 1;
    color: #e2dede;
    text-shadow:
        0px 0px 5px rgb(255 217 0 / 75%),
        0px 0px 10px rgb(255 217 0 / 75%),
        0px 0px 15px rgb(255 217 0 / 75%);
    background: rgba(0, 0, 0, 0.452);


}

.galleryNew__arrow--left {
    left: -10px;
}

.galleryNew__arrow--right {
    right: -10px;
}

.galleryNew__arrow:disabled {
    opacity: 0.3;
    cursor: not-allowed;
}


/**
* Component: Background
*/
/* .background-3d {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    pointer-events: none;
  } */

.body-3d {
    height: 100%;
    width: 100%;
}


.background-3d {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    pointer-events: none;
}

.return-link-3d {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    text-decoration: none;

    color: var(--color-white-75);
}

.return-link-3d:hover {
    color: var(--color-white-50);
    font-size: 15.5px;
    text-decoration: underline;
}